Bug 4262 - changing matching rule add big message box
Summary: changing matching rule add big message box
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL: /cgi-bin/koha/tools/manage-marc-impor...
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-24 05:36 UTC by Nicole C. Engard
Modified: 2012-10-25 22:52 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
large message box (79.22 KB, image/png)
2010-02-24 17:36 UTC, Chris Cormack
Details
Proposed fix (10.17 KB, patch)
2010-03-02 19:24 UTC, Chris Cormack
Details | Diff | Splinter Review
Screenshot after proposed change (9.31 KB, image/png)
2010-03-02 19:28 UTC, Chris Cormack
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:25:05 UTC


---- Reported by nengard@gmail.com 2010-02-24 17:36:03 ----

Created an attachment
large message box

See attached.

When managing a staged marc file if I change the selection in 'New matching rule' and then click apply it adds a message box that covers the entire form.



---- Additional Comments From oleonard@myacpl.org 2010-03-02 19:24:15 ----

Created an attachment
Proposed fix

Fix includes a change to the format of the page to consolidate
matching rule settings with matching rule controls. This
reduces potential confusion from the placement of the message
box. Assuming that matching rule settings and controls were
displayed separately for clarity and control, I've added
JavaScript which allows the user to change their mind after
changing a selection (but before submitting). It's a new
interaction which I hope is useful.



---- Additional Comments From oleonard@myacpl.org 2010-03-02 19:28:02 ----

Created an attachment
Screenshot after proposed change

Image shows the consolidated display, merging form fields into informational display, and the indicator which appears when you change one of the default selections.



---- Additional Comments From gmcharlt@gmail.com 2010-04-16 04:09:32 ----

Patch pushed.  Please test and close.



---- Additional Comments From nengard@gmail.com 2010-04-19 16:06:10 ----

If we're changing the style on the manage page - shouldn't we change the style on the stage page to match?



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:25 UTC  ---

This bug was previously known as _bug_ 4262 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4262
Imported an attachment (id=1961)
Imported an attachment (id=1962)
Imported an attachment (id=1963)

Actual time not defined. Setting to 0.0
The original submitter of attachment 1961 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1962 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 1963 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Chris Cormack 2010-12-14 03:07:41 UTC
See that? That's my foot tapping, I've been waiting here since April ... test me already!!
Comment 2 Nicole C. Engard 2010-12-14 16:17:24 UTC
I'm confused - it says it didn't apply then it says it's already applied:



Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all y
Applying Fix for Bug 4262, changing matching rule add big message box
.dotest/patch:119: trailing whitespace.
    <li> 
.dotest/patch:121: trailing whitespace.
       <option value="">Do not look for matching records</option> 
.dotest/patch:141: trailing whitespace.
     
.dotest/patch:144: trailing whitespace.
    
error: patch failed: koha-tmpl/intranet-tmpl/prog/en/modules/tools/manage-marc-import.tmpl:7
error: koha-tmpl/intranet-tmpl/prog/en/modules/tools/manage-marc-import.tmpl: patch does not apply
Using index info to reconstruct a base tree...
<stdin>:119: trailing whitespace.
    <li> 
<stdin>:121: trailing whitespace.
       <option value="">Do not look for matching records</option> 
<stdin>:141: trailing whitespace.
     
<stdin>:144: trailing whitespace.
    
warning: 4 lines add whitespace errors.
Falling back to patching base and 3-way merge...
No changes -- Patch already applied.
nengard@debian:~/kohaclone$
Comment 3 Nicole C. Engard 2010-12-14 16:20:41 UTC
ignore me - tested - it works